/* $Id: SmlBR.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日： 2004/10/15
 *
 * TODO この生成されたファイルのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
package sml_editor.node;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * @author kawamura
 *
 * TODO この生成された型コメントのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
public class SmlBR extends SmlChildNode {
	Element fElement;
	public SmlBR(Element element) {
		fElement = element;
		fLength = 1;
	}
	
	public int getLength() {
		return 1;
	}
	
	public short getNodeType() {
		return BR_NODE;
	}

	protected int calculateLength() {
		return 1;
	}

	public Node getNode() {
		return fElement;
	}
}
